<html>

    <head>
        <script>
            function Imposto(){
                var valor = 0;

                
                var a = document.getElementById("reg").value;
                var b = document.getElementById("nm").value;
                var sal = parseFloat(document.getElementById("salario").value);
                
                if(sal < 1434){
                    document.getElementById("ir").value = "Isento do Imposto de renda";
                }else if(sal >= 1434 || sal >= 2150){
                        valor = sal * 7.5 / 100 ;
                } else if(sal >= 2150 || sal >= 2866){
                        valor = sal * 15 / 100 ;
                } else if(sal >= 2866 || sal >= 3582){
                        valor = sal * 22.5 / 100 ;
                } else if(sal >= 3582){
                        valor = sal * 27.5 / 100 ;
                }

                document.getElementById("ir").value = valor;

            }
        </script>
    </head>

    <body>
        <center>
            <h3>Cálculo de Imposto de Renda</h3>
            Registro: <input type="text" id="reg" />
            </br>
            Nome: <input type="text" id="nm" >
            </br>
            Salário: <input type="text" id="salario">
            </br></br>
            <input type="button" value="Calcular IR" onclick="Imposto()"/>
            </br></br>
            Imposto de Renda: <input type="text" id="ir">
        </center>
    </body>

</html>